<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML3.2 EN">
<HTML>
<HEAD>
<META NAME="GENERATOR" CONTENT="DOCTEXT">
<TITLE>KSPGetComputeSingularValues</TITLE>
</HEAD>
<BODY BGCOLOR="FFFFFF">
<A NAME="KSPGetComputeSingularValues"><H1>KSPGetComputeSingularValues</H1></A>
Gets the flag indicating whether the extreme singular  values will be calculated via a Lanczos or Arnoldi process as the linear  system is solved. 
<H3><FONT COLOR="#CC3333">Synopsis</FONT></H3>
<PRE>
#include "petscksp.h" 
PetscErrorCode PETSCKSP_DLLEXPORT KSPGetComputeSingularValues(KSP ksp,PetscTruth *flg)
</PRE>
Collective on <A HREF="../KSP/KSP.html#KSP">KSP</A>
<P>
<H3><FONT COLOR="#CC3333">Input Parameter</FONT></H3>
<DT><B>ksp </B> -iterative context obtained from <A HREF="../KSP/KSPCreate.html#KSPCreate">KSPCreate</A>()
<br>
<P>
<H3><FONT COLOR="#CC3333">Output Parameter</FONT></H3>
<DT><B>flg </B> -<A HREF="../Sys/PETSC_TRUE.html#PETSC_TRUE">PETSC_TRUE</A> or <A HREF="../Sys/PETSC_FALSE.html#PETSC_FALSE">PETSC_FALSE</A>
<br>
<P>
<H3><FONT COLOR="#CC3333">Options Database Key</FONT></H3>
<DT><B>-ksp_singmonitor </B> -Activates <A HREF="../KSP/KSPSetComputeSingularValues.html#KSPSetComputeSingularValues">KSPSetComputeSingularValues</A>()
<br>
<P>
<H3><FONT COLOR="#CC3333">Notes</FONT></H3>
Currently this option is not valid for all iterative methods.
<P>
Many users may just want to use the monitoring routine
<A HREF="../KSP/KSPSingularValueMonitor.html#KSPSingularValueMonitor">KSPSingularValueMonitor</A>() (which can be set with option -ksp_singmonitor)
to print the singular values at each iteration of the linear solve.
<P>

<P>
<H3><FONT COLOR="#CC3333">Keywords</FONT></H3>
 <A HREF="../KSP/KSP.html#KSP">KSP</A>, set, compute, singular values
<BR>
<P>
<H3><FONT COLOR="#CC3333">See Also</FONT></H3>
 <A HREF="../KSP/KSPComputeExtremeSingularValues.html#KSPComputeExtremeSingularValues">KSPComputeExtremeSingularValues</A>(), <A HREF="../KSP/KSPSingularValueMonitor.html#KSPSingularValueMonitor">KSPSingularValueMonitor</A>()
<BR><P><B><P><B><FONT COLOR="#CC3333">Level:</FONT></B>advanced
<BR><FONT COLOR="#CC3333">Location:</FONT></B><A HREF="../../../src/ksp/ksp/interface/itfunc.c.html#KSPGetComputeSingularValues">src/ksp/ksp/interface/itfunc.c</A>
<BR><A HREF="./index.html">Index of all KSP routines</A>
<BR><A HREF="../../index.html">Table of Contents for all manual pages</A>
<BR><A HREF="../singleindex.html">Index of all manual pages</A>
</BODY></HTML>
